using System;
public class Program
    {
        public static void Main(string[] args)
            { 
            string[] tokens;
            int N=int.Parse(Console.ReadLine());
            double[] A= new double[N];
            double[] P = new double[N];
            double Zbirmax=0;
            double Zbir=0;
            for(int i=0;i<N;i++)
            {
             tokens = Console.ReadLine().Split(' ');
             A[i] = double.Parse(tokens[0], System.Globalization.CultureInfo.InvariantCulture);
             P[i] = double.Parse(tokens[1], System.Globalization.CultureInfo.InvariantCulture);
            }
           //foreach(int element in A){Console.WriteLine(element);}
            //foreach(double element in P){Console.WriteLine(element/100);}
            for(int i=0;i<N;i++)
            {
                Zbir=0;
                for(int j=0;j<N;j++)
                {                 
                    if(P[i]<=P[j])
                    {
                        Zbir=Zbir+((P[i]/100)*A[j]);
                    }
                }
                if(Zbir>Zbirmax){Zbirmax=Zbir;}
            }
            Console.WriteLine(Zbirmax);
        }
    }